curl --request POST \
--url https://{tenantDomain}/api/v1/units \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"price": 2,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "<string>",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"store_active": true,
"store_link": "<string>",
"possession_date": "2023-11-07T05:31:56Z",
"attributes": {},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123
}
}
'import requests
url = "https://{tenantDomain}/api/v1/units"
payload = {
"sku": "<string>",
"price": 2,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "<string>",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"store_active": True,
"store_link": "<string>",
"possession_date": "2023-11-07T05:31:56Z",
"attributes": {},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sku: '<string>',
price: 2,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
listing_type: '<string>',
name: '<string>',
stage: '<string>',
sector: '<string>',
unit: '<string>',
store_active: true,
store_link: '<string>',
possession_date: '2023-11-07T05:31:56Z',
attributes: {},
address: {
country: '<string>',
state: '<string>',
city: '<string>',
neighborhood: '<string>',
district: '<string>',
postal_code: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
latitude: 123,
longitude: 123
}
})
};
fetch('https://{tenantDomain}/api/v1/units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sku' => '<string>',
'price' => 2,
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'listing_type' => '<string>',
'name' => '<string>',
'stage' => '<string>',
'sector' => '<string>',
'unit' => '<string>',
'store_active' => true,
'store_link' => '<string>',
'possession_date' => '2023-11-07T05:31:56Z',
'attributes' => [
],
'address' => [
'country' => '<string>',
'state' => '<string>',
'city' => '<string>',
'neighborhood' => '<string>',
'district' => '<string>',
'postal_code' => '<string>',
'address_line_1' => '<string>',
'address_line_2' => '<string>',
'latitude' => 123,
'longitude' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/units"
payload := strings.NewReader("{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v1/units")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/units")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"sku": "<string>",
"listing_type": "venta",
"status": "disponible",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"price": "<string>",
"formatted_price": "<string>",
"currency_type": "<string>",
"currency_label": "<string>",
"total_area": "<string>",
"covered_area": "<string>",
"bedrooms": "<string>",
"bathrooms": "<string>",
"rooms": "<string>",
"store_active": "<string>",
"possession_date": "<string>",
"possession_type": "pozo",
"financial": {
"integration_percentage": "<string>",
"integration_discount": "<string>",
"installments": "<string>",
"currency_index_type": "<string>"
},
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"media": {
"gallery": [
"<string>"
]
},
"attributes": [
"<unknown>"
],
"badges": "<string>",
"attribute_categories": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"typology": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"media": {
"gallery": [
"<string>"
]
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"units_count": 123
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"phone": "<string>",
"latitude": "<string>",
"longitude": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Crear nueva unidad
Crea una nueva unidad asociada a un proyecto y producto existentes.
La unidad se crea con estado disponible por defecto.
Opcionalmente acepta datos de ubicacion (address) y atributos EAV (attributes).
Address (opcional)
{
"address": {
"country": "AR",
"state": "Córdoba",
"city": "Córdoba",
"neighborhood": "Nueva Córdoba"
}
}
Attributes (opcional)
Mapa clave-valor con attribute keys del schema EAV:
{
"attributes": {
"bedrooms": 3,
"bathrooms": 2,
"pool": true,
"orientation": "N",
"total_area": 85.5
}
}
curl --request POST \
--url https://{tenantDomain}/api/v1/units \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sku": "<string>",
"price": 2,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "<string>",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"store_active": true,
"store_link": "<string>",
"possession_date": "2023-11-07T05:31:56Z",
"attributes": {},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123
}
}
'import requests
url = "https://{tenantDomain}/api/v1/units"
payload = {
"sku": "<string>",
"price": 2,
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"listing_type": "<string>",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"store_active": True,
"store_link": "<string>",
"possession_date": "2023-11-07T05:31:56Z",
"attributes": {},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sku: '<string>',
price: 2,
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
listing_type: '<string>',
name: '<string>',
stage: '<string>',
sector: '<string>',
unit: '<string>',
store_active: true,
store_link: '<string>',
possession_date: '2023-11-07T05:31:56Z',
attributes: {},
address: {
country: '<string>',
state: '<string>',
city: '<string>',
neighborhood: '<string>',
district: '<string>',
postal_code: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
latitude: 123,
longitude: 123
}
})
};
fetch('https://{tenantDomain}/api/v1/units', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}/api/v1/units",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sku' => '<string>',
'price' => 2,
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'product_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'listing_type' => '<string>',
'name' => '<string>',
'stage' => '<string>',
'sector' => '<string>',
'unit' => '<string>',
'store_active' => true,
'store_link' => '<string>',
'possession_date' => '2023-11-07T05:31:56Z',
'attributes' => [
],
'address' => [
'country' => '<string>',
'state' => '<string>',
'city' => '<string>',
'neighborhood' => '<string>',
'district' => '<string>',
'postal_code' => '<string>',
'address_line_1' => '<string>',
'address_line_2' => '<string>',
'latitude' => 123,
'longitude' => 123
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenantDomain}/api/v1/units"
payload := strings.NewReader("{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}/api/v1/units")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}/api/v1/units")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sku\": \"<string>\",\n \"price\": 2,\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"product_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"listing_type\": \"<string>\",\n \"name\": \"<string>\",\n \"stage\": \"<string>\",\n \"sector\": \"<string>\",\n \"unit\": \"<string>\",\n \"store_active\": true,\n \"store_link\": \"<string>\",\n \"possession_date\": \"2023-11-07T05:31:56Z\",\n \"attributes\": {},\n \"address\": {\n \"country\": \"<string>\",\n \"state\": \"<string>\",\n \"city\": \"<string>\",\n \"neighborhood\": \"<string>\",\n \"district\": \"<string>\",\n \"postal_code\": \"<string>\",\n \"address_line_1\": \"<string>\",\n \"address_line_2\": \"<string>\",\n \"latitude\": 123,\n \"longitude\": 123\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "<string>",
"sku": "<string>",
"listing_type": "venta",
"status": "disponible",
"name": "<string>",
"stage": "<string>",
"sector": "<string>",
"unit": "<string>",
"price": "<string>",
"formatted_price": "<string>",
"currency_type": "<string>",
"currency_label": "<string>",
"total_area": "<string>",
"covered_area": "<string>",
"bedrooms": "<string>",
"bathrooms": "<string>",
"rooms": "<string>",
"store_active": "<string>",
"possession_date": "<string>",
"possession_type": "pozo",
"financial": {
"integration_percentage": "<string>",
"integration_discount": "<string>",
"installments": "<string>",
"currency_index_type": "<string>"
},
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"media": {
"gallery": [
"<string>"
]
},
"attributes": [
"<unknown>"
],
"badges": "<string>",
"attribute_categories": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"typology": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"media": {
"gallery": [
"<string>"
]
},
"product": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"product_type": "<string>",
"product_type_label": "<string>",
"type_labels": {
"sector": "<string>",
"unit": "<string>"
},
"thumbnail_url": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"project": {
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"description": "<string>",
"tagline": "<string>",
"store_active": "<string>",
"logos": [
"<unknown>"
],
"product_types": [
"<unknown>"
],
"lots_map": [
"<unknown>"
],
"has_lots_map": true,
"published_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>"
}
},
"units_count": 123
},
"address": {
"country": "<string>",
"state": "<string>",
"city": "<string>",
"neighborhood": "<string>",
"district": "<string>",
"postal_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"phone": "<string>",
"latitude": "<string>",
"longitude": "<string>"
}
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request para crear una nueva unidad.
Valida los datos necesarios para crear una unidad inmobiliaria, incluyendo informacion del proyecto, producto, precio, ubicacion (address) y atributos EAV dinamicos.
50ARS, USD, EUR x >= 1disponible, pisado, cotizado, reservado, revision, vendido, no_disponible 1001005050500pozo, inmediata, en_ejecucion Atributos EAV de la unidad como mapa clave-valor. Las claves deben corresponder a attribute keys activos del schema.
Ejemplo: {"bedrooms": 3, "pool": true, "orientation": "N", "total_area": 85.5}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
UnitResource
Show child attributes
Show child attributes